### Method

# Adw CssClassBinding get_source

unstable since: 1.10

#### Declaration [src]

    GObject*
    adw_css_class_binding_get_source (
      AdwCssClassBinding* self
    )

#### Description [src]

Gets the object instance passed as the source of the binding.

While a binding can outlive the source as the binding doesn’t hold a strong reference to the source, the binding will try to finalize itself when it does not have a valid source. If the source, however, is destroyed before the binding is fully finalized then this function will return `NULL`.

Available since: 1.10

Gets property | `Adw.CssClassBinding:source`

#### Return value

Type: `GObject`

The source, or `NULL` if it doesn’t exist anymore.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.